aboutsummaryrefslogtreecommitdiff
path: root/multimedia
diff options
context:
space:
mode:
authorAndrea Sacchetti Picchio <andrea dot sacchettipicchio at gmail dot com>2023-12-21 22:19:53 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-12-21 22:28:44 +0700
commit32e4d04dde7f01cf2bb94d26e5782ab26d937b6f (patch)
tree7c76af8f9ad4a2f4dfeb3754c8930b1112dbe800 /multimedia
parent32f0afcc7dbdd9b1af19177092f0737f97f41c16 (diff)
multimedia/w_scan2: Added (channel scan tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/w_scan2/README24
-rw-r--r--multimedia/w_scan2/slack-desc19
-rw-r--r--multimedia/w_scan2/w_scan2.SlackBuild115
-rw-r--r--multimedia/w_scan2/w_scan2.info10
4 files changed, 168 insertions, 0 deletions
diff --git a/multimedia/w_scan2/README b/multimedia/w_scan2/README
new file mode 100644
index 0000000000000..cbfb41d4d016f
--- /dev/null
+++ b/multimedia/w_scan2/README
@@ -0,0 +1,24 @@
+w_scan2 is a small channel scan tool which generates
+ATSC, DVB-C, DVB-S/S2 and DVB-T/T2 channels.conf files.
+
+It's based on the old "scan" tool from linuxtv-dvb-apps-1.1.0
+
+The differences are:
+- no initial tuning data needed, because scanning without this data is
+ exactly what a scan tool like this should do
+- it detects automatically which DVB/ATSC card to use
+- much more output formats, interfacing to other dtv software.
+
+w_scan2 is a fork of the original w_scan
+from https://www.gen2vdr.de/wirbel/w_scan/index2.html
+
+main changes from w_scan to w_scan2
+- keep duplicate transponders by default because a stronger transponder
+ with the same ID might have a higher frequency and be discarded
+ simply because it's scanned later.
+- Also don't replace the current transponder with an advertised one by
+ default. The latter may have a lower signal strength.
+ https://stefantalpalaru.wordpress.com/2016/02/04/scan-all-the-things/
+- The old behaviour can be enabled with -d
+ (--delete-duplicate-transponders).
+- re-enable VHF band III in Europe
diff --git a/multimedia/w_scan2/slack-desc b/multimedia/w_scan2/slack-desc
new file mode 100644
index 0000000000000..2325673b99c5b
--- /dev/null
+++ b/multimedia/w_scan2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+w_scan2: w_scan2 (ATSC, DVB-C, DVB-S/S2 and DVB-T/T2 scan tool)
+w_scan2:
+w_scan2: w_scan2 is a small channel scan tool which generates
+w_scan2: ATSC, DVB-C, DVB-S/S2 and DVB-T/T2 channels.conf files
+w_scan2:
+w_scan2:
+w_scan2:
+w_scan2:
+w_scan2:
+w_scan2: Homepage: https://github.com/stefantalpalaru/w_scan2/
+w_scan2:
diff --git a/multimedia/w_scan2/w_scan2.SlackBuild b/multimedia/w_scan2/w_scan2.SlackBuild
new file mode 100644
index 0000000000000..3261ff05298aa
--- /dev/null
+++ b/multimedia/w_scan2/w_scan2.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/bash
+
+# Slackware build script for w_scan2
+
+# Copyright 2023 Andrea Sacchetti Picchio Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=w_scan2
+VERSION=${VERSION:-1.0.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog COPYING README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/w_scan2/w_scan2.info b/multimedia/w_scan2/w_scan2.info
new file mode 100644
index 0000000000000..bcb7ceb1f5449
--- /dev/null
+++ b/multimedia/w_scan2/w_scan2.info
@@ -0,0 +1,10 @@
+PRGNAM="w_scan2"
+VERSION="1.0.14"
+HOMEPAGE="https://github.com/stefantalpalaru/w_scan2/"
+DOWNLOAD="https://github.com/stefantalpalaru/w_scan2/archive/1.0.14/w_scan2-1.0.14.zip"
+MD5SUM="11df05aa66da0240e62944e02940ed99"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrea Sacchetti Picchio"
+EMAIL="andrea dot sacchettipicchio at gmail dot com"